Skip to main content

Customers

Customer objects store contact information and payment methods for recurring use.

The Customer object

{
"id": "cus_abc123",
"object": "customer",
"name": "Aminata Koné",
"email": "aminata@example.com",
"phone": "+2250700000000",
"currency": "XOF",
"balance": 0,
"metadata": {},
"created": 1708300800
}

Endpoints

MethodEndpointDescription
POST/v1/customersCreate a customer
GET/v1/customers/{id}Retrieve a customer
PATCH/v1/customers/{id}Update a customer
DELETE/v1/customers/{id}Delete a customer
GET/v1/customersList customers
GET/v1/customers/{id}/payment-methodsList saved payment methods

Create a Customer

POST /v1/customers
ParameterTypeRequiredDescription
namestringCustomer's full name
emailstringEmail address
phonestringPhone number (E.164)
metadataobjectKey-value metadata